## ocaml-mad 0.1.2

=== Makefile ===
# Copyright 2003 The Savonet team
#
# $Id: Makefile,v 1.11 2004/06/15 18:15:02 smimram Exp $

all:
	make -C src

opt byte update install uninstall:
	make -C src $@

doc:
	make -C src htdoc
	mkdir -p doc
	rm -rf doc/html
	mv src/doc/html doc
	rmdir src/doc

clean:
	make -C src clean
	-make -C examples clean

distclean: clean
	rm -rf autom4te.cache config.log config.status src/META src/Makefile
	rm -rf doc
	-make -C examples distclean

.PHONY: doc

=== examples/Makefile ===
# OCaml-Mad examples.
#
# Copyright 2003 by the Savonet team.
#
# $Id: Makefile,v 1.5 2004/02/11 23:00:27 smimram Exp $

all:
	make -f Makefile.mp32wav

opt:
	make -f Makefile.mp32wav nc

clean:
	make -f Makefile.mp32wav clean

distclean: clean
	rm -rf autom4te.cache config.log config.status
	rm -f Makefile.mp32wav

.PHONY: mp32wav clean-mp32wav

## ocaml-mad 0.1.3

=== Makefile ===
# Copyright 2003 The Savonet team
#
# $Id: Makefile,v 1.15 2005/03/03 11:09:14 smimram Exp $

PROGNAME = ocaml-mad
DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \
            src/*Makefile* src/META.in src/*.ml src/*.mli src/*.c \
            examples/configure* examples/*Makefile* examples/*.ml \
            doc/html

all:
	make -C src

opt byte update install uninstall:
	make -C src $@

doc:
	make -C src htdoc
	mkdir -p doc
	rm -rf doc/html
	mv src/doc/mad/html doc
	rm -rf src/doc

clean:
	-make -C src clean
	-make -C examples clean

distclean: clean
	rm -rf autom4te.cache config.log config.status src/META src/Makefile
	rm -rf doc
	-make -C examples distclean

dist: doc
	VERSION="$(shell grep 'AC_INIT' configure.ac)"; \
		VERSION=`echo "$$VERSION" | sed -e 's/AC_INIT([^,]*, \([^,]*\), .*)/\1/'`; \
		mkdir $(PROGNAME)-$$VERSION; \
		cp -r --parents $(DISTFILES) $(PROGNAME)-$$VERSION; \
		tar zcvf $(PROGNAME)-$$VERSION.tar.gz $(PROGNAME)-$$VERSION; \
		rm -rf $(PROGNAME)-$$VERSION

.PHONY: doc dist

=== examples/Makefile ===
# OCaml-Mad examples.
#
# Copyright 2003 by the Savonet team.
#
# $Id: Makefile,v 1.6 2005/03/01 03:22:14 jcristau Exp $

all:
	make -f Makefile.mp32wav

opt:
	make -f Makefile.mp32wav nc

clean:
	-make -f Makefile.mp32wav clean

distclean: clean
	rm -rf autom4te.cache config.log config.status
	rm -f Makefile.mp32wav

.PHONY: mp32wav clean-mp32wav

=== src/Makefile ===
# Copyright 2003 Savonet team
# libmad bindings for OCaml.
#
# by Samuel Mimram

# $Id: Makefile.in,v 1.18 2004/08/10 22:36:10 jcristau Exp $

OCAMLMAKEFILE = OCamlMakefile

OCAMLFIND = /usr/bin/ocamlfind
OCAMLFIND_LDCONF = 
OCAMLC = /usr/bin/ocamlc.opt
OCAMLOPT = /usr/bin/ocamlopt.opt
BEST = byte opt
OCAMLMKTOP = /usr/bin/ocamlmktop
OCAMLCP = /usr/bin/ocamlcp
OCAMLDEP = /usr/bin/ocamldep
OCAMLLEX = /usr/bin/ocamllex
OCAMLYACC = /usr/bin/ocamlyacc
OCAMLDOC = /usr/bin/ocamldoc
LATEX = /usr/bin/latex
DVIPS = /usr/bin/dvips
PS2PDF = /usr/bin/ps2pdf
OCAMLLIBPATH = /usr/lib/ocaml

SOURCES = mad_stubs.c mad.mli mad.ml
RES_CLIB_SUF = _stubs
RESULT = mad
LIBINSTALL_FILES = $(wildcard *.mli *.cmi *.cma *.cmxa *.a *.so)
OCAMLLDFLAGS =
LIBS = unix
CLIBS = mad
CC = gcc
CFLAGS = -g -O2
CPPFLAGS = 

all: $(BEST)

byte: byte-code-library

opt: native-code-library

install: libinstall

uninstall: libuninstall

update: uninstall install

-include $(OCAMLMAKEFILE)

## ocaml-mad 0.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
-# Copyright 2003 The Savonet team
+# Copyright 2003-2006 The Savonet team
 #
-# $Id: Makefile,v 1.15 2005/03/03 11:09:14 smimram Exp $
+# $Id: Makefile 1968 2005-03-03 11:09:14Z smimram $
 
 PROGNAME = ocaml-mad
 DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \
-            src/*Makefile* src/META.in src/*.ml src/*.mli src/*.c \
+            src/OCamlMakefile src/Makefile.in \
+            src/META.in src/*.ml src/*.mli src/*.c \
             examples/configure* examples/*Makefile* examples/*.ml \
             doc/html

=== examples/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # OCaml-Mad examples.
 #
-# Copyright 2003 by the Savonet team.
+# Copyright 2003-2006 by the Savonet team.
 #
-# $Id: Makefile,v 1.6 2005/03/01 03:22:14 jcristau Exp $
+# $Id: Makefile 1946 2005-03-01 03:22:14Z jcristau $
 
 all:
 	make -f Makefile.mp32wav

## ocaml-mad 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Copyright 2003-2006 The Savonet team
 #
-# $Id: Makefile 1968 2005-03-03 11:09:14Z smimram $
+# $Id: Makefile 2598 2006-07-07 08:43:04Z dbaelde $
 
 PROGNAME = ocaml-mad
 DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \
@@ -8,6 +8,8 @@
             src/META.in src/*.ml src/*.mli src/*.c \
             examples/configure* examples/*Makefile* examples/*.ml \
             doc/html
+
+.PHONY: all install uninstall update opt byte doc clean distclean dist
 
 all:
 	make -C src
@@ -38,5 +40,3 @@
 		cp -r --parents $(DISTFILES) $(PROGNAME)-$$VERSION; \
 		tar zcvf $(PROGNAME)-$$VERSION.tar.gz $(PROGNAME)-$$VERSION; \
 		rm -rf $(PROGNAME)-$$VERSION
-
-.PHONY: doc dist

=== examples/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright 2003-2006 by the Savonet team.
 #
-# $Id: Makefile 1946 2005-03-01 03:22:14Z jcristau $
+# $Id: Makefile 2598 2006-07-07 08:43:04Z dbaelde $
 
 all:
 	make -f Makefile.mp32wav

## ocaml-mad 0.3.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Copyright 2003-2006 The Savonet team
 #
-# $Id: Makefile 2598 2006-07-07 08:43:04Z dbaelde $
+# $Id: Makefile 2919 2007-03-02 14:25:16Z metamorph68 $
 
 PROGNAME = ocaml-mad
 DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \

=== examples/Makefile ===
# OCaml-Mad examples.
#
# Copyright 2003-2006 by the Savonet team.
#
# $Id: Makefile 2919 2007-03-02 14:25:16Z metamorph68 $

all:
	make -f Makefile.mp32wav
	make -f Makefile.mp3info

opt:
	make -f Makefile.mp32wav nc
	make -f Makefile.mp3info nc

clean:
	-make -f Makefile.mp32wav clean
	-make -f Makefile.mp3info clean

distclean: clean
	rm -rf autom4te.cache config.log config.status
	rm -f Makefile.mp32wav
	rm -f Makefile.mp3info

.PHONY: mp32wav mp3info

## ocaml-mad 0.3.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Copyright 2003-2006 The Savonet team
 #
-# $Id: Makefile 2919 2007-03-02 14:25:16Z metamorph68 $
+# $Id: Makefile 4672 2007-10-17 16:48:18Z metamorph68 $
 
 PROGNAME = ocaml-mad
 DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \

=== examples/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright 2003-2006 by the Savonet team.
 #
-# $Id: Makefile 2919 2007-03-02 14:25:16Z metamorph68 $
+# $Id: Makefile 4672 2007-10-17 16:48:18Z metamorph68 $
 
 all:
 	make -f Makefile.mp32wav

## ocaml-mad 0.3.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Copyright 2003-2006 The Savonet team
 #
-# $Id: Makefile 4672 2007-10-17 16:48:18Z metamorph68 $
+# $Id: Makefile 4694 2007-10-23 23:33:11Z smimram $
 
 PROGNAME = ocaml-mad
 DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \
@@ -12,26 +12,26 @@
 .PHONY: all install uninstall update opt byte doc clean distclean dist
 
 all:
-	make -C src
+	$(MAKE) -C src
 
 opt byte update install uninstall:
-	make -C src $@
+	$(MAKE) -C src $@
 
 doc:
-	make -C src htdoc
+	$(MAKE) -C src htdoc
 	mkdir -p doc
 	rm -rf doc/html
 	mv src/doc/mad/html doc
 	rm -rf src/doc
 
 clean:
-	-make -C src clean
-	-make -C examples clean
+	-$(MAKE) -C src clean
+	-$(MAKE) -C examples clean
 
 distclean: clean
 	rm -rf autom4te.cache config.log config.status src/META src/Makefile
 	rm -rf doc
-	-make -C examples distclean
+	-$(MAKE) -C examples distclean
 
 dist: doc
 	VERSION="$(shell grep 'AC_INIT' configure.ac)"; \

=== examples/Makefile ===
# OCaml-Mad examples.
#
# Copyright 2003-2006 by the Savonet team.
#
# $Id: Makefile 4694 2007-10-23 23:33:11Z smimram $

all:
	$(MAKE) -f Makefile.mp32wav
	$(MAKE) -f Makefile.mp3info

opt:
	$(MAKE) -f Makefile.mp32wav nc
	$(MAKE) -f Makefile.mp3info nc

clean:
	-$(MAKE) -f Makefile.mp32wav clean
	-$(MAKE) -f Makefile.mp3info clean

distclean: clean
	rm -rf autom4te.cache config.log config.status
	rm -f Makefile.mp32wav
	rm -f Makefile.mp3info

.PHONY: mp32wav mp3info

## ocaml-mad 0.4.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Copyright 2003-2006 The Savonet team
 #
-# $Id: Makefile 4694 2007-10-23 23:33:11Z smimram $
+# $Id$
 
 PROGNAME = ocaml-mad
 DISTFILES = bootstrap CHANGES configure configure.ac COPYING Makefile README \
-            src/OCamlMakefile src/Makefile.in \
+            src/OCamlMakefile src/Makefile.in m4/*.m4 \
             src/META.in src/*.ml src/*.mli src/*.c \
             examples/configure* examples/*Makefile* examples/*.ml \
             doc/html

=== examples/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright 2003-2006 by the Savonet team.
 #
-# $Id: Makefile 4694 2007-10-23 23:33:11Z smimram $
+# $Id$
 
 all:
 	$(MAKE) -f Makefile.mp32wav

=== debian/changelog ===
ocaml-mad (0.4.2-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:27:45 -0600

ocaml-mad (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 02 Jul 2011 13:44:45 -0500

ocaml-mad (0.4.1-1) unstable; urgency=low

  * New upstream release. 
  * Switch to dpkg-source 3.0 (quilt) format

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 12 May 2011 16:05:38 -0500

ocaml-mad (0.4.0-2) unstable; urgency=low

  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 03 Mar 2011 13:32:09 -0600

ocaml-mad (0.4.0-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental while squeeze is frozen.
  * Bumped standards to 3.9.1 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 19 Aug 2010 12:10:59 -0500

ocaml-mad (0.3.6-1) unstable; urgency=low

  * New upstream release
  * Dropped patch applied upstream 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 04:27:22 -0500

ocaml-mad (0.3.5-3) unstable; urgency=low

  * Add a patch to not link system libraries into cma (Closes: #549761)
  * Add quilt to build-dependencies
  * Add myself to uploaders
  * Switch to new dh-ocaml
  * Updated standards to 3.8.3.
    - Move to section ocaml
    - add a README.source
  * Buil-depend on findlib (>= 1.2.5)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 07 Oct 2009 12:59:07 +0200

ocaml-mad (0.3.5-2) unstable; urgency=low

  * Switch packaging to git
  * Use dh-ocaml's predefined variables.
  * Rebuild with OCaml 3.11.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 09:25:08 +0100

ocaml-mad (0.3.5-1) experimental; urgency=low

  * New upstream release.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 05 Jan 2009 00:30:46 +0100

ocaml-mad (0.3.4-3) experimental; urgency=low

  * New upload to experimental to build against ocaml 3.11.
  * Versioned ocaml-related build-dep to avoid confusion.
  * Switched to cdbs
  * Added dh-ocaml to build-deps.
  * Updated standards to 3.8.0.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 13 Dec 2008 23:37:47 +0100

ocaml-mad (0.3.4-2) unstable; urgency=low

  * Upload to unstable now that the transition is over.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 01 Jun 2008 13:01:23 -0400

ocaml-mad (0.3.4-1) experimental; urgency=low

  * New upstream release, fixes file descriptor leak.
  * Uploading into experimental, until the current ocaml
    transitions is over.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 27 May 2008 16:45:12 +0200

ocaml-mad (0.3.3-1) unstable; urgency=low

  [ Julien Cristau ]
  * Fix FTBFS with new dpkg-dev by setting CFLAGS correctly in debian/rules
    (closes: 476038).

  [ Romain Beauxis ]
  * New upstream release, now installs .cmx file
  * Change maintainer to Debian OCaml Maintainers

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 16 Apr 2008 14:26:22 +0100

ocaml-mad (0.3.2-4) unstable; urgency=high

  * Update fixed package to sid
  * Setting urgency to high to propagate quickly to testing.

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 19 Mar 2008 10:58:10 +0100

ocaml-mad (0.3.2-3) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Romain Beauxis ]
  * Added missing pkg-config dependency
  Closes: #471620
  * Updated standards to 3.7.3 (no changes)
  * Setting urgency to high to ease ocaml transition to 3.10.1
  * Set maintainer field to Liquidsoap packaging team, 
    added Sam and me as uploaders
  * Removed unused dpatch support

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 19 Mar 2008 10:32:43 +0100

ocaml-mad (0.3.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Fri, 16 Nov 2007 19:29:26 +0000

ocaml-mad (0.3.2-1) experimental; urgency=low

  * New upstream release.
  * Removed link.dpatch, integrated upstream.

 -- Samuel Mimram <smimram@debian.org>  Mon, 12 Nov 2007 23:15:05 +0000

ocaml-mad (0.3.1-2) unstable; urgency=low

  * Rebuild with OCaml 3.10.
  * Using dpatch to handle patches.
  * Added link.dpatch to correcly link, closes: #433208.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 14:10:33 +0200

ocaml-mad (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Fri, 22 Jun 2007 19:32:08 +0200

ocaml-mad (0.3.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Apr 2007 16:59:00 +0200

ocaml-mad (0.3.0-1) experimental; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Fri, 16 Mar 2007 18:24:50 +0100

ocaml-mad (0.2.1-1) unstable; urgency=low

  * Messed up the last upload: this package shouldn't be native.

 -- Samuel Mimram <smimram@debian.org>  Mon, 20 Nov 2006 23:55:47 +0100

ocaml-mad (0.2.1) unstable; urgency=low

  * New upstream release.
  * Made the package binNMU-safe.

 -- Samuel Mimram <smimram@debian.org>  Mon, 20 Nov 2006 20:40:02 +0100

ocaml-mad (0.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Fri,  7 Jul 2006 08:46:50 +0000

ocaml-mad (0.1.3-4) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu, 18 May 2006 22:36:39 +0000

ocaml-mad (0.1.3-3) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.

 -- Samuel Mimram <smimram@debian.org>  Sun,  8 Jan 2006 19:37:25 +0100

ocaml-mad (0.1.3-2) unstable; urgency=low

  * Rebuild with OCaml 3.09.0.
  * No longer hardcoding OCaml's ABI in the package.
  * Updated standards version to 3.6.2, no changes needed.
  * Updated watch file.

 -- Samuel Mimram <smimram@debian.org>  Sat, 26 Nov 2005 11:51:16 +0100

ocaml-mad (0.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Thu, 28 Apr 2005 20:16:57 +0200



## ocaml-mad 0.4.4

=== examples/Makefile ===
--- 
+++ 
@@ -6,19 +6,21 @@
 
 all:
 	$(MAKE) -f Makefile.mp32wav
+	$(MAKE) -f Makefile.decode_msg
 	$(MAKE) -f Makefile.mp3info
 
 opt:
 	$(MAKE) -f Makefile.mp32wav nc
+	$(MAKE) -f Makefile.decode_msg nc
 	$(MAKE) -f Makefile.mp3info nc
 
 clean:
 	-$(MAKE) -f Makefile.mp32wav clean
+	-$(MAKE) -f Makefile.decode_msg clean
 	-$(MAKE) -f Makefile.mp3info clean
 
 distclean: clean
 	rm -rf autom4te.cache config.log config.status
 	rm -f Makefile.mp32wav
+	rm -f Makefile.decode_msg
 	rm -f Makefile.mp3info
-
-.PHONY: mp32wav mp3info

=== debian/changelog ===
ocaml-mad (0.4.4-1build3) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:17:20 +0000

ocaml-mad (0.4.4-1build2) precise; urgency=low

  * Rebuild with ocamlopt on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 10:46:16 +0000

ocaml-mad (0.4.4-1build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:51:39 +0000

ocaml-mad (0.4.4-1) unstable; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 08 Oct 2011 16:21:00 +0200

ocaml-mad (0.4.3-1) unstable; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 24 Aug 2011 23:43:35 -0500

=== debian/control ===
Source: ocaml-mad
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Romain Beauxis <toots@rastageeks.org>,
 Mehdi Dogguy <mehdi@debian.org>,
 Samuel Mimram <smimram@debian.org>
Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9),
 libmad0-dev,
 ocaml-findlib,
 pkg-config
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-mad.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-mad.git

Package: libmad-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the MAD library (Runtime library)
 This OCaml library interfaces the MAD C library to decode MPEG files.
 The MAD library currently only supports the MPEG 1 standard, but fully
 implements all three audio layers (Layer I, Layer II, and Layer III, the
 latter often colloquially known as MP3.)
 .
 MAD has the following special features:
   - 100% fixed-point (integer) computation
   - completely new implementation based on the ISO/IEC 11172-3 standard
   - distributed under the terms of the GNU General Public License (GPL)
 .
 This package contains only the shared runtime stub libraries.

Package: libmad-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libmad0-dev, libmad-ocaml (= ${binary:Version}), ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the MAD library (Development package)
 This OCaml library interfaces the MAD C library to decode MPEG files.
 The MAD library currently only supports the MPEG 1 standard, but fully
 implements all three audio layers (Layer I, Layer II, and Layer III, the
 latter often colloquially known as MP3.)
 .
 MAD has the following special features:
   - 100% fixed-point (integer) computation
   - completely new implementation based on the ISO/IEC 11172-3 standard
   - distributed under the terms of the GNU General Public License (GPL)
 .
 This package contains all the development stuff you need to use ocaml-mad
 in your programs.

=== debian/watch ===
version=3

http://sf.net/savonet/ocaml-mad-([0-9\.]*)\.tar\.gz debian uupdate

## ocaml-mad 0.4.6

=== examples/Makefile ===
DIRS = $(filter-out ./.git, $(shell find . -mindepth 1 -maxdepth 1 -type d))

all:
	for i in $(DIRS); do $(MAKE) -C $$i; done

clean:
	for i in $(DIRS); do $(MAKE) -C $$i $@; done

=== debian/changelog ===
ocaml-mad (0.4.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add Homepage and update debian/watch
  * Remove Samuel and Romain from Uploaders
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Aug 2020 07:50:50 +0200

ocaml-mad (0.4.4-2) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on dh-autoreconf to fix FTBFS on arm64. Thanks to
    Chen Baozi for the patch (closes: #778899).
  * d/control: update Vcs-*fields
  * Standards-Version 3.9.8 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 27 Aug 2016 19:24:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Romain Beauxis <toots@rastageeks.org>,
- Mehdi Dogguy <mehdi@debian.org>,
- Samuel Mimram <smimram@debian.org>
-Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9),
+ Mehdi Dogguy <mehdi@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ ocaml-nox,
+ dh-ocaml,
  libmad0-dev,
  ocaml-findlib,
  pkg-config
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-mad.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-mad.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/savonet/ocaml-mad
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mad.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mad
 
 Package: libmad-ocaml
 Architecture: any

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-mad/releases .*ocaml-mad-([0-9.]+)\.tar\.gz

## ocaml-mad 0.5.0

=== debian/changelog ===
ocaml-mad (0.5.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:11 +0100

ocaml-mad (0.5.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 18:49:01 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
  ocaml-nox,
  dh-ocaml,
  libmad0-dev,
- ocaml-findlib,
+ ocaml-dune,
+ libdune-ocaml-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/savonet/ocaml-mad
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mad.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p mad

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

## ocaml-mad 0.5.2

=== debian/changelog ===
ocaml-mad (0.5.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Mar 2022 09:33:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  dh-ocaml,
  libmad0-dev,
  ocaml-dune,

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-mad/releases .*/v?([0-9.]+)\.tar\.gz

## ocaml-mad 0.5.3

=== debian/changelog ===
ocaml-mad (0.5.3-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 02:43:30 +0100

ocaml-mad (0.5.3-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:39:41 +0200

ocaml-mad (0.5.3-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:14:59 +0200

ocaml-mad (0.5.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Jun 2024 21:14:13 +0200

ocaml-mad (0.5.2-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:57:36 +0200

ocaml-mad (0.5.2-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 07:16:34 +0200

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/savonet/ocaml-mad/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
